{ config, pkgs, lib, ... }:

{
  programs.walker = {
    enable = lib.mkDefault true;
    runAsService = lib.mkDefault true;
    config = lib.mkDefault {
      theme = "nomarchy";
      ui = {
        anchors = {
          top = true;
        };
      };
      selection_wrap = true;
      hide_action_hints = true;
      placeholders = {
        "default" = { input = " Search..."; list = "No Results"; };
      };
      keybinds = {
        quick_activate = [];
      };
      columns = {
        symbols = 1;
      };
      providers = {
        max_results = 256;
        default = [
          "desktopapplications"
          "websearch"
        ];
        prefixes = [
          { prefix = "/"; provider = "providerlist"; }
          { prefix = "."; provider = "files"; }
          { prefix = ":"; provider = "symbols"; }
          { prefix = "="; provider = "calc"; }
          { prefix = "@"; provider = "websearch"; }
          { prefix = "$"; provider = "clipboard"; }
        ];
      };
    };
    themes."nomarchy" = lib.mkDefault {
      style = ''
        @import "${config.home.homeDirectory}/.config/nomarchy/current/theme/apps/walker/style.css";
      '';
    };
  };
}
